"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.tsx
var src_exports = {};
__export(src_exports, {
  Content: () => Content,
  Footer: () => Footer,
  Header: () => Header,
  Page: () => Page
});
module.exports = __toCommonJS(src_exports);

// src/content.tsx
var import_clsx = require("@clutchd/clsx");
var import_flex = require("@clutchd/flex");
var import_jsx_runtime = require("react/jsx-runtime");
function Content({
  children,
  className,
  direction = "col",
  padding = true,
  ...props
}) {
  const classNames = (0, import_clsx.clsx)("flex-1", padding ? "p-6 sm:p-8" : "", className);
  if (direction === "row") {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex.Row, {
      asChild: true,
      className: classNames,
      ...props,
      children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("main", {
        children
      })
    });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex.Col, {
    asChild: true,
    className: classNames,
    ...props,
    children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("main", {
      children
    })
  });
}

// src/footer.tsx
var import_clsx2 = require("@clutchd/clsx");
var import_flex2 = require("@clutchd/flex");
var import_jsx_runtime = require("react/jsx-runtime");
function Footer({
  children,
  className,
  direction = "row",
  padding = true,
  ...props
}) {
  const classNames = (0, import_clsx2.clsx)(padding ? "p-6 sm:p-8" : "", className);
  if (direction === "row") {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex2.Row, {
      asChild: true,
      className: classNames,
      ...props,
      children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("footer", {
        children
      })
    });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex2.Col, {
    asChild: true,
    className: classNames,
    ...props,
    children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("footer", {
      children
    })
  });
}

// src/header.tsx
var import_clsx3 = require("@clutchd/clsx");
var import_flex3 = require("@clutchd/flex");
var import_jsx_runtime = require("react/jsx-runtime");
function Header({
  children,
  className,
  direction = "row",
  padding = true,
  ...props
}) {
  const classNames = (0, import_clsx3.clsx)(padding ? "p-6 sm:p-8" : "", className);
  if (direction === "row") {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex3.Row, {
      asChild: true,
      className: classNames,
      ...props,
      children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("header", {
        children
      })
    });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex3.Col, {
    asChild: true,
    className: classNames,
    ...props,
    children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("header", {
      children
    })
  });
}

// src/page.tsx
var import_clsx4 = require("@clutchd/clsx");
var import_flex4 = require("@clutchd/flex");
var import_tailwind = require("@clutchd/tailwind");
var import_jsx_runtime = require("react/jsx-runtime");
function Page({
  className,
  direction = "col",
  theme = "gray",
  ...props
}) {
  const color = (0, import_tailwind.getColor)(theme, "50").bgColor;
  const classNames = (0, import_clsx4.clsx)(color, "min-h-screen min-w-screen", className);
  if (direction === "row") {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex4.Row, {
      className: classNames,
      ...props
    });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_flex4.Col, {
    className: classNames,
    ...props
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Content,
  Footer,
  Header,
  Page
});
